RoundDistance Example |
Using Programming Languages other than VBA
Sub Example_RoundDistance() ' This example creates an aligned dimension in model space and ' uses RoundDistance to set the unit display ' of the dimension to rounded values Dim dimObj As AcadDimAligned Dim point1(0 To 2) As Double, point2(0 To 2) As Double Dim location(0 To 2) As Double ' Define the dimension point1(0) = 5: point1(1) = 5: point1(2) = 0 point2(0) = 10.123: point2(1) = 5: point2(2) = 0 location(0) = 5: location(1) = 7: location(2) = 0 ' Create an aligned dimension object in model space Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location) ThisDrawing.Application.ZoomAll MsgBox "Press any key to round the dimension unit display to .5" ' Round the distance of the dimension to 0.50 of a unit dimObj.RoundDistance = 0.5 ThisDrawing.Regen acAllViewports MsgBox "Dimension units have been rounded to: " & dimObj.RoundDistance End Sub
Comments? |